CUPTI (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.5. CUpti_ActivityBranch2 Struct Reference

## [CUPTI Activity API]

This activity record the locations of the branches in the source (CUPTI_ACTIVITY_KIND_BRANCH).

### Public Variables

uint32_t correlationId
uint32_t diverged
uint32_t executed
uint32_t functionId
CUpti_ActivityKind kind
uint32_t pad
uint32_t pcOffset
uint32_t sourceLocatorId
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivityBranch2::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityBranch2::diverged [inherited]

  Number of times this branch diverged

uint32_t CUpti_ActivityBranch2::executed [inherited]

  The number of times this branch was executed

uint32_t CUpti_ActivityBranch2::functionId [inherited]

  Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityBranch2::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_BRANCH.

uint32_t CUpti_ActivityBranch2::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityBranch2::pcOffset [inherited]

  The pc offset for the branch.

uint32_t CUpti_ActivityBranch2::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivityBranch2::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction